Loading...
Searching...
No Matches
gtkwhiteboard.h File Reference

The PidginWhiteboard frontend object. More...

`#include "pidgin.h"`
`#include "whiteboard.h"`

Go to the source code of this file.

## Data Structures

struct | _PidginWhiteboard
| A PidginWhiteboard. More...

## Macros

#define | FULL_CIRCLE_DEGREES 23040
#define | BRUSH_STATE_UP 0
#define | BRUSH_STATE_DOWN 1
#define | BRUSH_STATE_MOTION 2
#define | PALETTE_NUM_COLORS 7

## Typedefs

typedef struct _PidginWhiteboard | PidginWhiteboard
| A PidginWhiteboard.

## Functions

PidginWhiteboard API
PurpleWhiteboardUiOps * | pidgin_whiteboard_get_ui_ops (void)
| Gets the GtkWhiteboard UI Operations.

## Detailed Description

The PidginWhiteboard frontend object.

Definition in file gtkwhiteboard.h.

## Macro Definition Documentation

## BRUSH_STATE_DOWN

#define BRUSH_STATE_DOWN 1

Definition at line 37 of file gtkwhiteboard.h.

## BRUSH_STATE_MOTION

#define BRUSH_STATE_MOTION 2

Definition at line 38 of file gtkwhiteboard.h.

## BRUSH_STATE_UP

#define BRUSH_STATE_UP 0

Definition at line 36 of file gtkwhiteboard.h.

## FULL_CIRCLE_DEGREES

#define FULL_CIRCLE_DEGREES 23040

Definition at line 33 of file gtkwhiteboard.h.

## PALETTE_NUM_COLORS

#define PALETTE_NUM_COLORS 7

Definition at line 40 of file gtkwhiteboard.h.

## Function Documentation

## pidgin_whiteboard_get_ui_ops()

PurpleWhiteboardUiOps * pidgin_whiteboard_get_ui_ops | ( | void |  | ) |

Gets the GtkWhiteboard UI Operations.

Returns
  The GtkWhiteboard UI Operations.